Package org.apache.commons.imaging.common

# Class AllocationRequestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.imaging.ImagingRuntimeException
org.apache.commons.imaging.common.AllocationRequestException

All Implemented Interfaces:
  `Serializable`

public class AllocationRequestException extends ImagingRuntimeException
Thrown when an allocation request is too large.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AllocationRequestException(int limit, int request)`
  Constructs a new instance.
  `AllocationRequestException(int limit, long request, Throwable throwable)`
  Constructs a new instance.
  `AllocationRequestException(int limit, BigInteger request)`
  Constructs a new instance.
  `AllocationRequestException(int limit, BigInteger request, Throwable throwable)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLimit()`
  Gets the allocation limit.
  `BigInteger`
  `getRequest()`
  Gets the allocation request.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AllocationRequestException

    public AllocationRequestException(int limit, BigInteger request)
    Constructs a new instance.
    Parameters:
      `limit` - The allocation limit.
      `request` - The allocation request.

  - ### AllocationRequestException

    public AllocationRequestException(int limit, BigInteger request, Throwable throwable)
    Constructs a new instance.
    Parameters:
      `limit` - The allocation limit.
      `request` - The allocation request.
      `throwable` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### AllocationRequestException

    public AllocationRequestException(int limit, int request)
    Constructs a new instance.
    Parameters:
      `limit` - The allocation limit.
      `request` - The allocation request.

  - ### AllocationRequestException

    public AllocationRequestException(int limit, long request, Throwable throwable)
    Constructs a new instance.
    Parameters:
      `limit` - The allocation limit.
      `request` - The allocation request.
      `throwable` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

- ## Method Details

  - ### getLimit

    public int getLimit()
    Gets the allocation limit.
    Returns:
      the allocation limit.

  - ### getRequest

    public BigInteger getRequest()
    Gets the allocation request.
    Returns:
      the allocation request.